<?php
session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg7.php" ?>
<?php include "ewmysql7.php" ?>
<?php include "phpfn7.php" ?>
<?php include "tbl_tourinfo.php" ?>
<?php include "tbl_languageinfo.php" ?>
<?php include "tbl_country_originalinfo.php" ?>
<?php include "tbl_tour_nameinfo.php" ?>
<?php include "tbl_admininfo.php" ?>
<?php include "userfn7.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Create page object
$tbl_tour_edit = new ctbl_tour_edit();
$Page =& $tbl_tour_edit;

// Page init
$tbl_tour_edit->Page_Init();

// Page main
$tbl_tour_edit->Page_Main();
?>
<?php include "header.php" ?>
<script type="text/javascript">
<!--

// Create page object
var tbl_tour_edit = new ew_Page("tbl_tour_edit");

// page properties
tbl_tour_edit.PageID = "edit"; // page ID
tbl_tour_edit.FormID = "ftbl_touredit"; // form ID
var EW_PAGE_ID = tbl_tour_edit.PageID; // for backward compatibility

// extend page with ValidateForm function
tbl_tour_edit.ValidateForm = function(fobj) {
	ew_PostAutoSuggest(fobj);
	if (!this.ValidateRequired)
		return true; // ignore validation
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var i, elm, aelm, infix;
	var rowcnt = (fobj.key_count) ? Number(fobj.key_count.value) : 1;
	for (i=0; i<rowcnt; i++) {
		infix = (fobj.key_count) ? String(i+1) : "";
		elm = fobj.elements["x" + infix + "_tour_name_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_tour->tour_name_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_language_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_tour->language_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_country_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_tour->country_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_tour_name"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_tour->tour_name->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_show_to_homepage"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_tour->show_to_homepage->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_photo"];
		aelm = fobj.elements["a" + infix + "_photo"];
		var chk_photo = (aelm && aelm[0])?(aelm[2].checked):true;
		if (elm && chk_photo && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_tour->photo->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_photo"];
		if (elm && !ew_CheckFileType(elm.value))
			return ew_OnError(this, elm, ewLanguage.Phrase("WrongFileType"));
		elm = fobj.elements["x" + infix + "_description"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_tour->description->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_highlight_description"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_tour->highlight_description->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_order_by"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_tour->order_by->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_order_by"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tbl_tour->order_by->FldErrMsg()) ?>");

		// Call Form Custom Validate event
		if (!this.Form_CustomValidate(fobj)) return false;
	}
	return true;
}

// extend page with Form_CustomValidate function
tbl_tour_edit.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
tbl_tour_edit.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
tbl_tour_edit.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script type="text/javascript" src="fckeditor/fckeditor.js"></script>
<script type="text/javascript">
<!--
_width_multiplier = 16;
_height_multiplier = 60;
var ew_DHTMLEditors = [];

// update value from editor to textarea
function ew_UpdateTextArea() {
	if (typeof ew_DHTMLEditors != 'undefined' && typeof FCKeditorAPI != 'undefined') {			
			var inst;			
			for (inst in FCKeditorAPI.__Instances)
				FCKeditorAPI.__Instances[inst].UpdateLinkedField();
	}
}

// update value from textarea to editor
function ew_UpdateDHTMLEditor(name) {
	if (typeof ew_DHTMLEditors != 'undefined' && typeof FCKeditorAPI != 'undefined') {
		var inst = FCKeditorAPI.GetInstance(name);		
		if (inst)
			inst.SetHTML(inst.LinkedField.value)
	}
}

// focus editor
function ew_FocusDHTMLEditor(name) {
	if (typeof ew_DHTMLEditors != 'undefined' && typeof FCKeditorAPI != 'undefined') {
		var inst = FCKeditorAPI.GetInstance(name);	
		if (inst && inst.EditorWindow) {
			inst.EditorWindow.focus();
		}
	}
}

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<p><span class="phpmaker"><?php echo $Language->Phrase("Edit") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tbl_tour->TableCaption() ?><br><br>
<a href="<?php echo $tbl_tour->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></span></p>
<?php
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
$tbl_tour_edit->ShowMessage();
?>
<form name="ftbl_touredit" id="ftbl_touredit" action="<?php echo ew_CurrentPage() ?>" method="post" enctype="multipart/form-data">
<p>
<input type="hidden" name="a_table" id="a_table" value="tbl_tour">
<input type="hidden" name="a_edit" id="a_edit" value="U">
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable">
<?php if ($tbl_tour->tour_id->Visible) { // tour_id ?>
	<tr<?php echo $tbl_tour->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_tour->tour_id->FldCaption() ?></td>
		<td<?php echo $tbl_tour->tour_id->CellAttributes() ?>><span id="el_tour_id">
<div<?php echo $tbl_tour->tour_id->ViewAttributes() ?>><?php echo $tbl_tour->tour_id->EditValue ?></div><input type="hidden" name="x_tour_id" id="x_tour_id" value="<?php echo ew_HtmlEncode($tbl_tour->tour_id->CurrentValue) ?>">
</span><?php echo $tbl_tour->tour_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_tour->tour_name_id->Visible) { // tour_name_id ?>
	<tr<?php echo $tbl_tour->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_tour->tour_name_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_tour->tour_name_id->CellAttributes() ?>><span id="el_tour_name_id">
<?php if ($tbl_tour->tour_name_id->getSessionValue() <> "") { ?>
<div<?php echo $tbl_tour->tour_name_id->ViewAttributes() ?>><?php echo $tbl_tour->tour_name_id->ViewValue ?></div>
<input type="hidden" id="x_tour_name_id" name="x_tour_name_id" value="<?php echo ew_HtmlEncode($tbl_tour->tour_name_id->CurrentValue) ?>">
<?php } else { ?>
<select id="x_tour_name_id" name="x_tour_name_id" title="<?php echo $tbl_tour->tour_name_id->FldTitle() ?>"<?php echo $tbl_tour->tour_name_id->EditAttributes() ?>>
<?php
if (is_array($tbl_tour->tour_name_id->EditValue)) {
	$arwrk = $tbl_tour->tour_name_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tbl_tour->tour_name_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
<?php
$sSqlWrk = "SELECT `tour_name_id`, `name`, '' AS Disp2Fld FROM `tbl_tour_name`";
$sWhereWrk = "";
if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
$sSqlWrk = TEAencrypt($sSqlWrk, EW_RANDOM_KEY);
?>
<input type="hidden" name="s_x_tour_name_id" id="s_x_tour_name_id" value="<?php echo $sSqlWrk; ?>">
<input type="hidden" name="lft_x_tour_name_id" id="lft_x_tour_name_id" value="">
<?php } ?>
</span><?php echo $tbl_tour->tour_name_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_tour->language_id->Visible) { // language_id ?>
	<tr<?php echo $tbl_tour->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_tour->language_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_tour->language_id->CellAttributes() ?>><span id="el_language_id">
<?php if ($tbl_tour->language_id->getSessionValue() <> "") { ?>
<div<?php echo $tbl_tour->language_id->ViewAttributes() ?>><?php echo $tbl_tour->language_id->ViewValue ?></div>
<input type="hidden" id="x_language_id" name="x_language_id" value="<?php echo ew_HtmlEncode($tbl_tour->language_id->CurrentValue) ?>">
<?php } else { ?>
<select id="x_language_id" name="x_language_id" title="<?php echo $tbl_tour->language_id->FldTitle() ?>"<?php echo $tbl_tour->language_id->EditAttributes() ?>>
<?php
if (is_array($tbl_tour->language_id->EditValue)) {
	$arwrk = $tbl_tour->language_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tbl_tour->language_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
<?php
$sSqlWrk = "SELECT `language_id`, `language`, '' AS Disp2Fld FROM `tbl_language`";
$sWhereWrk = "";
if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
$sSqlWrk = TEAencrypt($sSqlWrk, EW_RANDOM_KEY);
?>
<input type="hidden" name="s_x_language_id" id="s_x_language_id" value="<?php echo $sSqlWrk; ?>">
<input type="hidden" name="lft_x_language_id" id="lft_x_language_id" value="">
<?php } ?>
</span><?php echo $tbl_tour->language_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_tour->country_id->Visible) { // country_id ?>
	<tr<?php echo $tbl_tour->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_tour->country_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_tour->country_id->CellAttributes() ?>><span id="el_country_id">
<?php if ($tbl_tour->country_id->getSessionValue() <> "") { ?>
<div<?php echo $tbl_tour->country_id->ViewAttributes() ?>><?php echo $tbl_tour->country_id->ViewValue ?></div>
<input type="hidden" id="x_country_id" name="x_country_id" value="<?php echo ew_HtmlEncode($tbl_tour->country_id->CurrentValue) ?>">
<?php } else { ?>
<select id="x_country_id" name="x_country_id" title="<?php echo $tbl_tour->country_id->FldTitle() ?>"<?php echo $tbl_tour->country_id->EditAttributes() ?>>
<?php
if (is_array($tbl_tour->country_id->EditValue)) {
	$arwrk = $tbl_tour->country_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tbl_tour->country_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
<?php
$sSqlWrk = "SELECT `country_or_id`, `country`, '' AS Disp2Fld FROM `tbl_country_original`";
$sWhereWrk = "";
if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
$sSqlWrk = TEAencrypt($sSqlWrk, EW_RANDOM_KEY);
?>
<input type="hidden" name="s_x_country_id" id="s_x_country_id" value="<?php echo $sSqlWrk; ?>">
<input type="hidden" name="lft_x_country_id" id="lft_x_country_id" value="">
<?php } ?>
</span><?php echo $tbl_tour->country_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_tour->tour_name->Visible) { // tour_name ?>
	<tr<?php echo $tbl_tour->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_tour->tour_name->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_tour->tour_name->CellAttributes() ?>><span id="el_tour_name">
<input type="text" name="x_tour_name" id="x_tour_name" title="<?php echo $tbl_tour->tour_name->FldTitle() ?>" size="75" maxlength="100" value="<?php echo $tbl_tour->tour_name->EditValue ?>"<?php echo $tbl_tour->tour_name->EditAttributes() ?>>
</span><?php echo $tbl_tour->tour_name->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_tour->show_to_homepage->Visible) { // show_to_homepage ?>
	<tr<?php echo $tbl_tour->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_tour->show_to_homepage->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_tour->show_to_homepage->CellAttributes() ?>><span id="el_show_to_homepage">
<div id="tp_x_show_to_homepage" class="<?php echo EW_ITEM_TEMPLATE_CLASSNAME ?>"><label><input type="radio" name="x_show_to_homepage" id="x_show_to_homepage" title="<?php echo $tbl_tour->show_to_homepage->FldTitle() ?>" value="{value}"<?php echo $tbl_tour->show_to_homepage->EditAttributes() ?>></label></div>
<div id="dsl_x_show_to_homepage" repeatcolumn="5">
<?php
$arwrk = $tbl_tour->show_to_homepage->EditValue;
if (is_array($arwrk)) {
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tbl_tour->show_to_homepage->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " checked=\"checked\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;

		// Note: No spacing within the LABEL tag
?>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 1) ?>
<label><input type="radio" name="x_show_to_homepage" id="x_show_to_homepage" title="<?php echo $tbl_tour->show_to_homepage->FldTitle() ?>" value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?><?php echo $tbl_tour->show_to_homepage->EditAttributes() ?>><?php echo $arwrk[$rowcntwrk][1] ?></label>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 2) ?>
<?php
	}
}
?>
</div>
</span><?php echo $tbl_tour->show_to_homepage->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_tour->photo->Visible) { // photo ?>
	<tr<?php echo $tbl_tour->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_tour->photo->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_tour->photo->CellAttributes() ?>><span id="el_photo">
<div id="old_x_photo">
<?php if ($tbl_tour->photo->HrefValue <> "" || $tbl_tour->photo->TooltipValue <> "") { ?>
<?php if (!empty($tbl_tour->photo->Upload->DbValue)) { ?>
<img src="<?php echo ew_UploadPathEx(FALSE, $tbl_tour->photo->UploadPath) . $tbl_tour->photo->Upload->DbValue ?>" border=0<?php echo $tbl_tour->photo->ViewAttributes() ?>>
<?php } elseif (!in_array($tbl_tour->CurrentAction, array("I", "edit", "gridedit"))) { ?>	
&nbsp;
<?php } ?>
<?php } else { ?>
<?php if (!empty($tbl_tour->photo->Upload->DbValue)) { ?>
<img src="<?php echo ew_UploadPathEx(FALSE, $tbl_tour->photo->UploadPath) . $tbl_tour->photo->Upload->DbValue ?>" border=0<?php echo $tbl_tour->photo->ViewAttributes() ?>>
<?php } elseif (!in_array($tbl_tour->CurrentAction, array("I", "edit", "gridedit"))) { ?>	
&nbsp;
<?php } ?>
<?php } ?>
</div>
<div id="new_x_photo">
<?php if (!empty($tbl_tour->photo->Upload->DbValue)) { ?>
<label><input type="radio" name="a_photo" id="a_photo" value="1" checked="checked"><?php echo $Language->Phrase("Keep") ?></label>&nbsp;
<label><input type="radio" name="a_photo" id="a_photo" value="2" disabled="disabled"><?php echo $Language->Phrase("Remove") ?></label>&nbsp;
<label><input type="radio" name="a_photo" id="a_photo" value="3"><?php echo $Language->Phrase("Replace") ?><br></label>
<?php $tbl_tour->photo->EditAttrs["onchange"] = "this.form.a_photo[2].checked=true;" . @$tbl_tour->photo->EditAttrs["onchange"]; ?>
<?php } else { ?>
<input type="hidden" name="a_photo" id="a_photo" value="3">
<?php } ?>
<input type="file" name="x_photo" id="x_photo" title="<?php echo $tbl_tour->photo->FldTitle() ?>" size="30"<?php echo $tbl_tour->photo->EditAttributes() ?>>
</div>
</span><?php echo $tbl_tour->photo->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_tour->description->Visible) { // description ?>
	<tr<?php echo $tbl_tour->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_tour->description->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_tour->description->CellAttributes() ?>><span id="el_description">
<textarea name="x_description" id="x_description" title="<?php echo $tbl_tour->description->FldTitle() ?>" cols="35" rows="7"<?php echo $tbl_tour->description->EditAttributes() ?>><?php echo $tbl_tour->description->EditValue ?></textarea>
<script type="text/javascript">
<!--
ew_DHTMLEditors.push(new ew_DHTMLEditor("x_description", function() {
	var sBasePath = 'fckeditor/';
	var oFCKeditor = new FCKeditor('x_description', 35*_width_multiplier, 7*_height_multiplier);
	oFCKeditor.BasePath = sBasePath;
	oFCKeditor.ReplaceTextarea();
	this.active = true;
}));
-->
</script>
</span><?php echo $tbl_tour->description->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_tour->highlight_description->Visible) { // highlight_description ?>
	<tr<?php echo $tbl_tour->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_tour->highlight_description->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_tour->highlight_description->CellAttributes() ?>><span id="el_highlight_description">
<textarea name="x_highlight_description" id="x_highlight_description" title="<?php echo $tbl_tour->highlight_description->FldTitle() ?>" cols="35" rows="7"<?php echo $tbl_tour->highlight_description->EditAttributes() ?>><?php echo $tbl_tour->highlight_description->EditValue ?></textarea>
<script type="text/javascript">
<!--
ew_DHTMLEditors.push(new ew_DHTMLEditor("x_highlight_description", function() {
	var sBasePath = 'fckeditor/';
	var oFCKeditor = new FCKeditor('x_highlight_description', 35*_width_multiplier, 7*_height_multiplier);
	oFCKeditor.BasePath = sBasePath;
	oFCKeditor.ReplaceTextarea();
	this.active = true;
}));
-->
</script>
</span><?php echo $tbl_tour->highlight_description->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_tour->order_by->Visible) { // order_by ?>
	<tr<?php echo $tbl_tour->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_tour->order_by->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_tour->order_by->CellAttributes() ?>><span id="el_order_by">
<input type="text" name="x_order_by" id="x_order_by" title="<?php echo $tbl_tour->order_by->FldTitle() ?>" size="75" value="<?php echo $tbl_tour->order_by->EditValue ?>"<?php echo $tbl_tour->order_by->EditAttributes() ?>>
</span><?php echo $tbl_tour->order_by->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<input type="button" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("EditBtn")) ?>" onclick="ew_SubmitForm(tbl_tour_edit, this.form);">
</form>
<script language="JavaScript" type="text/javascript">
<!--
ew_UpdateOpts([['x_tour_name_id','x_tour_name_id',false],
['x_language_id','x_language_id',false],
['x_country_id','x_country_id',false]]);

//-->
</script>
<script type="text/javascript">
<!--
ew_CreateEditor();  // Create DHTML editor(s)

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php include "footer.php" ?>
<?php
$tbl_tour_edit->Page_Terminate();
?>
<?php

//
// Page class
//
class ctbl_tour_edit {

	// Page ID
	var $PageID = 'edit';

	// Table name
	var $TableName = 'tbl_tour';

	// Page object name
	var $PageObjName = 'tbl_tour_edit';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $tbl_tour;
		if ($tbl_tour->UseTokenInUrl) $PageUrl .= "t=" . $tbl_tour->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show message
	function ShowMessage() {
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage);
		if ($sMessage <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $sMessage . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm, $tbl_tour;
		if ($tbl_tour->UseTokenInUrl) {
			if ($objForm)
				return ($tbl_tour->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($tbl_tour->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function ctbl_tour_edit() {
		global $conn, $Language;

		// Language object
		$Language = new cLanguage();

		// Table object (tbl_tour)
		$GLOBALS["tbl_tour"] = new ctbl_tour();

		// Table object (tbl_language)
		$GLOBALS['tbl_language'] = new ctbl_language();

		// Table object (tbl_country_original)
		$GLOBALS['tbl_country_original'] = new ctbl_country_original();

		// Table object (tbl_tour_name)
		$GLOBALS['tbl_tour_name'] = new ctbl_tour_name();

		// Table object (tbl_admin)
		$GLOBALS['tbl_admin'] = new ctbl_admin();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'edit', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tbl_tour', TRUE);

		// Start timer
		$GLOBALS["gsTimer"] = new cTimer();

		// Open connection
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		global $tbl_tour;

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Create form object
		$objForm = new cFormObj();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		$this->Page_Redirecting($url);
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $sDbMasterFilter;
	var $sDbDetailFilter;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError, $tbl_tour;

		// Load key from QueryString
		if (@$_GET["tour_id"] <> "")
			$tbl_tour->tour_id->setQueryStringValue($_GET["tour_id"]);

		// Set up master detail parameters
		$this->SetUpMasterDetail();
		if (@$_POST["a_edit"] <> "") {
			$tbl_tour->CurrentAction = $_POST["a_edit"]; // Get action code
			$this->GetUploadFiles(); // Get upload files
			$this->LoadFormValues(); // Get form values

			// Validate form
			if (!$this->ValidateForm()) {
				$tbl_tour->CurrentAction = ""; // Form error, reset action
				$this->setMessage($gsFormError);
				$tbl_tour->EventCancelled = TRUE; // Event cancelled
				$this->RestoreFormValues();
			}
		} else {
			$tbl_tour->CurrentAction = "I"; // Default action is display
		}

		// Check if valid key
		if ($tbl_tour->tour_id->CurrentValue == "")
			$this->Page_Terminate("tbl_tourlist.php"); // Invalid key, return to list
		switch ($tbl_tour->CurrentAction) {
			case "I": // Get a record to display
				if (!$this->LoadRow()) { // Load record based on key
					$this->setMessage($Language->Phrase("NoRecord")); // No record found
					$this->Page_Terminate("tbl_tourlist.php"); // No matching record, return to list
				}
				break;
			Case "U": // Update
				$tbl_tour->SendEmail = TRUE; // Send email on update success
				if ($this->EditRow()) { // Update record based on key
					$this->setMessage($Language->Phrase("UpdateSuccess")); // Update success
					$sReturnUrl = $tbl_tour->getReturnUrl();
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} else {
					$tbl_tour->EventCancelled = TRUE; // Event cancelled
					$this->RestoreFormValues(); // Restore form values if update failed
				}
		}

		// Render the record
		$tbl_tour->RowType = EW_ROWTYPE_EDIT; // Render as Edit
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm, $tbl_tour;

		// Get upload data
			if ($tbl_tour->photo->Upload->UploadFile()) {

				// No action required
			} else {
				echo $tbl_tour->photo->Upload->Message;
				$this->Page_Terminate();
				exit();
			}
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm, $tbl_tour;
		$tbl_tour->tour_id->setFormValue($objForm->GetValue("x_tour_id"));
		$tbl_tour->tour_name_id->setFormValue($objForm->GetValue("x_tour_name_id"));
		$tbl_tour->language_id->setFormValue($objForm->GetValue("x_language_id"));
		$tbl_tour->country_id->setFormValue($objForm->GetValue("x_country_id"));
		$tbl_tour->tour_name->setFormValue($objForm->GetValue("x_tour_name"));
		$tbl_tour->show_to_homepage->setFormValue($objForm->GetValue("x_show_to_homepage"));
		$tbl_tour->description->setFormValue($objForm->GetValue("x_description"));
		$tbl_tour->highlight_description->setFormValue($objForm->GetValue("x_highlight_description"));
		$tbl_tour->order_by->setFormValue($objForm->GetValue("x_order_by"));
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm, $tbl_tour;
		$this->LoadRow();
		$tbl_tour->tour_id->CurrentValue = $tbl_tour->tour_id->FormValue;
		$tbl_tour->tour_name_id->CurrentValue = $tbl_tour->tour_name_id->FormValue;
		$tbl_tour->language_id->CurrentValue = $tbl_tour->language_id->FormValue;
		$tbl_tour->country_id->CurrentValue = $tbl_tour->country_id->FormValue;
		$tbl_tour->tour_name->CurrentValue = $tbl_tour->tour_name->FormValue;
		$tbl_tour->show_to_homepage->CurrentValue = $tbl_tour->show_to_homepage->FormValue;
		$tbl_tour->description->CurrentValue = $tbl_tour->description->FormValue;
		$tbl_tour->highlight_description->CurrentValue = $tbl_tour->highlight_description->FormValue;
		$tbl_tour->order_by->CurrentValue = $tbl_tour->order_by->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $tbl_tour;
		$sFilter = $tbl_tour->KeyFilter();

		// Call Row Selecting event
		$tbl_tour->Row_Selecting($sFilter);

		// Load SQL based on filter
		$tbl_tour->CurrentFilter = $sFilter;
		$sSql = $tbl_tour->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values

			// Call Row Selected event
			$tbl_tour->Row_Selected($rs);
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn, $tbl_tour;
		$tbl_tour->tour_id->setDbValue($rs->fields('tour_id'));
		$tbl_tour->tour_name_id->setDbValue($rs->fields('tour_name_id'));
		$tbl_tour->language_id->setDbValue($rs->fields('language_id'));
		$tbl_tour->country_id->setDbValue($rs->fields('country_id'));
		$tbl_tour->tour_name->setDbValue($rs->fields('tour_name'));
		$tbl_tour->show_to_homepage->setDbValue($rs->fields('show_to_homepage'));
		$tbl_tour->photo->Upload->DbValue = $rs->fields('photo');
		$tbl_tour->description->setDbValue($rs->fields('description'));
		$tbl_tour->highlight_description->setDbValue($rs->fields('highlight_description'));
		$tbl_tour->order_by->setDbValue($rs->fields('order_by'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language, $tbl_tour;

		// Initialize URLs
		// Call Row_Rendering event

		$tbl_tour->Row_Rendering();

		// Common render codes for all row types
		// tour_id

		$tbl_tour->tour_id->CellCssStyle = ""; $tbl_tour->tour_id->CellCssClass = "";
		$tbl_tour->tour_id->CellAttrs = array(); $tbl_tour->tour_id->ViewAttrs = array(); $tbl_tour->tour_id->EditAttrs = array();

		// tour_name_id
		$tbl_tour->tour_name_id->CellCssStyle = ""; $tbl_tour->tour_name_id->CellCssClass = "";
		$tbl_tour->tour_name_id->CellAttrs = array(); $tbl_tour->tour_name_id->ViewAttrs = array(); $tbl_tour->tour_name_id->EditAttrs = array();

		// language_id
		$tbl_tour->language_id->CellCssStyle = ""; $tbl_tour->language_id->CellCssClass = "";
		$tbl_tour->language_id->CellAttrs = array(); $tbl_tour->language_id->ViewAttrs = array(); $tbl_tour->language_id->EditAttrs = array();

		// country_id
		$tbl_tour->country_id->CellCssStyle = ""; $tbl_tour->country_id->CellCssClass = "";
		$tbl_tour->country_id->CellAttrs = array(); $tbl_tour->country_id->ViewAttrs = array(); $tbl_tour->country_id->EditAttrs = array();

		// tour_name
		$tbl_tour->tour_name->CellCssStyle = ""; $tbl_tour->tour_name->CellCssClass = "";
		$tbl_tour->tour_name->CellAttrs = array(); $tbl_tour->tour_name->ViewAttrs = array(); $tbl_tour->tour_name->EditAttrs = array();

		// show_to_homepage
		$tbl_tour->show_to_homepage->CellCssStyle = ""; $tbl_tour->show_to_homepage->CellCssClass = "";
		$tbl_tour->show_to_homepage->CellAttrs = array(); $tbl_tour->show_to_homepage->ViewAttrs = array(); $tbl_tour->show_to_homepage->EditAttrs = array();

		// photo
		$tbl_tour->photo->CellCssStyle = ""; $tbl_tour->photo->CellCssClass = "";
		$tbl_tour->photo->CellAttrs = array(); $tbl_tour->photo->ViewAttrs = array(); $tbl_tour->photo->EditAttrs = array();

		// description
		$tbl_tour->description->CellCssStyle = ""; $tbl_tour->description->CellCssClass = "";
		$tbl_tour->description->CellAttrs = array(); $tbl_tour->description->ViewAttrs = array(); $tbl_tour->description->EditAttrs = array();

		// highlight_description
		$tbl_tour->highlight_description->CellCssStyle = ""; $tbl_tour->highlight_description->CellCssClass = "";
		$tbl_tour->highlight_description->CellAttrs = array(); $tbl_tour->highlight_description->ViewAttrs = array(); $tbl_tour->highlight_description->EditAttrs = array();

		// order_by
		$tbl_tour->order_by->CellCssStyle = ""; $tbl_tour->order_by->CellCssClass = "";
		$tbl_tour->order_by->CellAttrs = array(); $tbl_tour->order_by->ViewAttrs = array(); $tbl_tour->order_by->EditAttrs = array();
		if ($tbl_tour->RowType == EW_ROWTYPE_VIEW) { // View row

			// tour_id
			$tbl_tour->tour_id->ViewValue = $tbl_tour->tour_id->CurrentValue;
			$tbl_tour->tour_id->CssStyle = "";
			$tbl_tour->tour_id->CssClass = "";
			$tbl_tour->tour_id->ViewCustomAttributes = "";

			// tour_name_id
			if (strval($tbl_tour->tour_name_id->CurrentValue) <> "") {
				$sFilterWrk = "`tour_name_id` = " . ew_AdjustSql($tbl_tour->tour_name_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `name` FROM `tbl_tour_name`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_tour->tour_name_id->ViewValue = $rswrk->fields('name');
					$rswrk->Close();
				} else {
					$tbl_tour->tour_name_id->ViewValue = $tbl_tour->tour_name_id->CurrentValue;
				}
			} else {
				$tbl_tour->tour_name_id->ViewValue = NULL;
			}
			$tbl_tour->tour_name_id->CssStyle = "";
			$tbl_tour->tour_name_id->CssClass = "";
			$tbl_tour->tour_name_id->ViewCustomAttributes = "";

			// language_id
			if (strval($tbl_tour->language_id->CurrentValue) <> "") {
				$sFilterWrk = "`language_id` = " . ew_AdjustSql($tbl_tour->language_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `language` FROM `tbl_language`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_tour->language_id->ViewValue = $rswrk->fields('language');
					$rswrk->Close();
				} else {
					$tbl_tour->language_id->ViewValue = $tbl_tour->language_id->CurrentValue;
				}
			} else {
				$tbl_tour->language_id->ViewValue = NULL;
			}
			$tbl_tour->language_id->CssStyle = "";
			$tbl_tour->language_id->CssClass = "";
			$tbl_tour->language_id->ViewCustomAttributes = "";

			// country_id
			if (strval($tbl_tour->country_id->CurrentValue) <> "") {
				$sFilterWrk = "`country_or_id` = " . ew_AdjustSql($tbl_tour->country_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `country` FROM `tbl_country_original`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_tour->country_id->ViewValue = $rswrk->fields('country');
					$rswrk->Close();
				} else {
					$tbl_tour->country_id->ViewValue = $tbl_tour->country_id->CurrentValue;
				}
			} else {
				$tbl_tour->country_id->ViewValue = NULL;
			}
			$tbl_tour->country_id->CssStyle = "";
			$tbl_tour->country_id->CssClass = "";
			$tbl_tour->country_id->ViewCustomAttributes = "";

			// tour_name
			$tbl_tour->tour_name->ViewValue = $tbl_tour->tour_name->CurrentValue;
			$tbl_tour->tour_name->CssStyle = "";
			$tbl_tour->tour_name->CssClass = "";
			$tbl_tour->tour_name->ViewCustomAttributes = "";

			// show_to_homepage
			if (strval($tbl_tour->show_to_homepage->CurrentValue) <> "") {
				switch ($tbl_tour->show_to_homepage->CurrentValue) {
					case "0":
						$tbl_tour->show_to_homepage->ViewValue = "No";
						break;
					case "1":
						$tbl_tour->show_to_homepage->ViewValue = "YES";
						break;
					default:
						$tbl_tour->show_to_homepage->ViewValue = $tbl_tour->show_to_homepage->CurrentValue;
				}
			} else {
				$tbl_tour->show_to_homepage->ViewValue = NULL;
			}
			$tbl_tour->show_to_homepage->CssStyle = "";
			$tbl_tour->show_to_homepage->CssClass = "";
			$tbl_tour->show_to_homepage->ViewCustomAttributes = "";

			// photo
			if (!ew_Empty($tbl_tour->photo->Upload->DbValue)) {
				$tbl_tour->photo->ViewValue = $tbl_tour->photo->Upload->DbValue;
				$tbl_tour->photo->ImageWidth = 200;
				$tbl_tour->photo->ImageHeight = 0;
				$tbl_tour->photo->ImageAlt = $tbl_tour->photo->FldAlt();
			} else {
				$tbl_tour->photo->ViewValue = "";
			}
			$tbl_tour->photo->CssStyle = "";
			$tbl_tour->photo->CssClass = "";
			$tbl_tour->photo->ViewCustomAttributes = "";

			// description
			$tbl_tour->description->ViewValue = $tbl_tour->description->CurrentValue;
			$tbl_tour->description->CssStyle = "";
			$tbl_tour->description->CssClass = "";
			$tbl_tour->description->ViewCustomAttributes = "";

			// highlight_description
			$tbl_tour->highlight_description->ViewValue = $tbl_tour->highlight_description->CurrentValue;
			$tbl_tour->highlight_description->CssStyle = "";
			$tbl_tour->highlight_description->CssClass = "";
			$tbl_tour->highlight_description->ViewCustomAttributes = "";

			// order_by
			$tbl_tour->order_by->ViewValue = $tbl_tour->order_by->CurrentValue;
			$tbl_tour->order_by->CssStyle = "";
			$tbl_tour->order_by->CssClass = "";
			$tbl_tour->order_by->ViewCustomAttributes = "";

			// tour_id
			$tbl_tour->tour_id->HrefValue = "";
			$tbl_tour->tour_id->TooltipValue = "";

			// tour_name_id
			$tbl_tour->tour_name_id->HrefValue = "";
			$tbl_tour->tour_name_id->TooltipValue = "";

			// language_id
			$tbl_tour->language_id->HrefValue = "";
			$tbl_tour->language_id->TooltipValue = "";

			// country_id
			$tbl_tour->country_id->HrefValue = "";
			$tbl_tour->country_id->TooltipValue = "";

			// tour_name
			$tbl_tour->tour_name->HrefValue = "";
			$tbl_tour->tour_name->TooltipValue = "";

			// show_to_homepage
			$tbl_tour->show_to_homepage->HrefValue = "";
			$tbl_tour->show_to_homepage->TooltipValue = "";

			// photo
			$tbl_tour->photo->HrefValue = "";
			$tbl_tour->photo->TooltipValue = "";

			// description
			$tbl_tour->description->HrefValue = "";
			$tbl_tour->description->TooltipValue = "";

			// highlight_description
			$tbl_tour->highlight_description->HrefValue = "";
			$tbl_tour->highlight_description->TooltipValue = "";

			// order_by
			$tbl_tour->order_by->HrefValue = "";
			$tbl_tour->order_by->TooltipValue = "";
		} elseif ($tbl_tour->RowType == EW_ROWTYPE_EDIT) { // Edit row

			// tour_id
			$tbl_tour->tour_id->EditCustomAttributes = "";
			$tbl_tour->tour_id->EditValue = $tbl_tour->tour_id->CurrentValue;
			$tbl_tour->tour_id->CssStyle = "";
			$tbl_tour->tour_id->CssClass = "";
			$tbl_tour->tour_id->ViewCustomAttributes = "";

			// tour_name_id
			$tbl_tour->tour_name_id->EditCustomAttributes = "";
			if ($tbl_tour->tour_name_id->getSessionValue() <> "") {
				$tbl_tour->tour_name_id->CurrentValue = $tbl_tour->tour_name_id->getSessionValue();
			if (strval($tbl_tour->tour_name_id->CurrentValue) <> "") {
				$sFilterWrk = "`tour_name_id` = " . ew_AdjustSql($tbl_tour->tour_name_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `name` FROM `tbl_tour_name`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_tour->tour_name_id->ViewValue = $rswrk->fields('name');
					$rswrk->Close();
				} else {
					$tbl_tour->tour_name_id->ViewValue = $tbl_tour->tour_name_id->CurrentValue;
				}
			} else {
				$tbl_tour->tour_name_id->ViewValue = NULL;
			}
			$tbl_tour->tour_name_id->CssStyle = "";
			$tbl_tour->tour_name_id->CssClass = "";
			$tbl_tour->tour_name_id->ViewCustomAttributes = "";
			} else {
			if (trim(strval($tbl_tour->tour_name_id->CurrentValue)) == "") {
				$sFilterWrk = "0=1";
			} else {
				$sFilterWrk = "`tour_name_id` = " . ew_AdjustSql($tbl_tour->tour_name_id->CurrentValue) . "";
			}
			$sSqlWrk = "SELECT `tour_name_id`, `name`, '' AS Disp2Fld, '' AS SelectFilterFld FROM `tbl_tour_name`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect")));
			$tbl_tour->tour_name_id->EditValue = $arwrk;
			}

			// language_id
			$tbl_tour->language_id->EditCustomAttributes = "";
			if ($tbl_tour->language_id->getSessionValue() <> "") {
				$tbl_tour->language_id->CurrentValue = $tbl_tour->language_id->getSessionValue();
			if (strval($tbl_tour->language_id->CurrentValue) <> "") {
				$sFilterWrk = "`language_id` = " . ew_AdjustSql($tbl_tour->language_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `language` FROM `tbl_language`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_tour->language_id->ViewValue = $rswrk->fields('language');
					$rswrk->Close();
				} else {
					$tbl_tour->language_id->ViewValue = $tbl_tour->language_id->CurrentValue;
				}
			} else {
				$tbl_tour->language_id->ViewValue = NULL;
			}
			$tbl_tour->language_id->CssStyle = "";
			$tbl_tour->language_id->CssClass = "";
			$tbl_tour->language_id->ViewCustomAttributes = "";
			} else {
			if (trim(strval($tbl_tour->language_id->CurrentValue)) == "") {
				$sFilterWrk = "0=1";
			} else {
				$sFilterWrk = "`language_id` = " . ew_AdjustSql($tbl_tour->language_id->CurrentValue) . "";
			}
			$sSqlWrk = "SELECT `language_id`, `language`, '' AS Disp2Fld, '' AS SelectFilterFld FROM `tbl_language`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect")));
			$tbl_tour->language_id->EditValue = $arwrk;
			}

			// country_id
			$tbl_tour->country_id->EditCustomAttributes = "";
			if ($tbl_tour->country_id->getSessionValue() <> "") {
				$tbl_tour->country_id->CurrentValue = $tbl_tour->country_id->getSessionValue();
			if (strval($tbl_tour->country_id->CurrentValue) <> "") {
				$sFilterWrk = "`country_or_id` = " . ew_AdjustSql($tbl_tour->country_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `country` FROM `tbl_country_original`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_tour->country_id->ViewValue = $rswrk->fields('country');
					$rswrk->Close();
				} else {
					$tbl_tour->country_id->ViewValue = $tbl_tour->country_id->CurrentValue;
				}
			} else {
				$tbl_tour->country_id->ViewValue = NULL;
			}
			$tbl_tour->country_id->CssStyle = "";
			$tbl_tour->country_id->CssClass = "";
			$tbl_tour->country_id->ViewCustomAttributes = "";
			} else {
			if (trim(strval($tbl_tour->country_id->CurrentValue)) == "") {
				$sFilterWrk = "0=1";
			} else {
				$sFilterWrk = "`country_or_id` = " . ew_AdjustSql($tbl_tour->country_id->CurrentValue) . "";
			}
			$sSqlWrk = "SELECT `country_or_id`, `country`, '' AS Disp2Fld, '' AS SelectFilterFld FROM `tbl_country_original`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect")));
			$tbl_tour->country_id->EditValue = $arwrk;
			}

			// tour_name
			$tbl_tour->tour_name->EditCustomAttributes = "";
			$tbl_tour->tour_name->EditValue = ew_HtmlEncode($tbl_tour->tour_name->CurrentValue);

			// show_to_homepage
			$tbl_tour->show_to_homepage->EditCustomAttributes = "";
			$arwrk = array();
			$arwrk[] = array("0", "No");
			$arwrk[] = array("1", "YES");
			$tbl_tour->show_to_homepage->EditValue = $arwrk;

			// photo
			$tbl_tour->photo->EditCustomAttributes = "";
			if (!ew_Empty($tbl_tour->photo->Upload->DbValue)) {
				$tbl_tour->photo->EditValue = $tbl_tour->photo->Upload->DbValue;
				$tbl_tour->photo->ImageWidth = 200;
				$tbl_tour->photo->ImageHeight = 0;
				$tbl_tour->photo->ImageAlt = $tbl_tour->photo->FldAlt();
			} else {
				$tbl_tour->photo->EditValue = "";
			}

			// description
			$tbl_tour->description->EditCustomAttributes = "";
			$tbl_tour->description->EditValue = ew_HtmlEncode($tbl_tour->description->CurrentValue);

			// highlight_description
			$tbl_tour->highlight_description->EditCustomAttributes = "";
			$tbl_tour->highlight_description->EditValue = ew_HtmlEncode($tbl_tour->highlight_description->CurrentValue);

			// order_by
			$tbl_tour->order_by->EditCustomAttributes = "";
			$tbl_tour->order_by->EditValue = ew_HtmlEncode($tbl_tour->order_by->CurrentValue);

			// Edit refer script
			// tour_id

			$tbl_tour->tour_id->HrefValue = "";

			// tour_name_id
			$tbl_tour->tour_name_id->HrefValue = "";

			// language_id
			$tbl_tour->language_id->HrefValue = "";

			// country_id
			$tbl_tour->country_id->HrefValue = "";

			// tour_name
			$tbl_tour->tour_name->HrefValue = "";

			// show_to_homepage
			$tbl_tour->show_to_homepage->HrefValue = "";

			// photo
			$tbl_tour->photo->HrefValue = "";

			// description
			$tbl_tour->description->HrefValue = "";

			// highlight_description
			$tbl_tour->highlight_description->HrefValue = "";

			// order_by
			$tbl_tour->order_by->HrefValue = "";
		}

		// Call Row Rendered event
		if ($tbl_tour->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$tbl_tour->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError, $tbl_tour;

		// Initialize form error message
		$gsFormError = "";
		if (!ew_CheckFileType($tbl_tour->photo->Upload->FileName)) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("WrongFileType");
		}
		if ($tbl_tour->photo->Upload->FileSize > 0 && EW_MAX_FILE_SIZE > 0 && $tbl_tour->photo->Upload->FileSize > EW_MAX_FILE_SIZE) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= str_replace("%s", EW_MAX_FILE_SIZE, $Language->Phrase("MaxFileSize"));
		}
		if (in_array($tbl_tour->photo->Upload->Error, array(1, 2, 3, 6, 7, 8))) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("PhpUploadErr" . $tbl_tour->photo->Upload->Error);
		}

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!is_null($tbl_tour->tour_name_id->FormValue) && $tbl_tour->tour_name_id->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_tour->tour_name_id->FldCaption();
		}
		if (!is_null($tbl_tour->language_id->FormValue) && $tbl_tour->language_id->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_tour->language_id->FldCaption();
		}
		if (!is_null($tbl_tour->country_id->FormValue) && $tbl_tour->country_id->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_tour->country_id->FldCaption();
		}
		if (!is_null($tbl_tour->tour_name->FormValue) && $tbl_tour->tour_name->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_tour->tour_name->FldCaption();
		}
		if ($tbl_tour->show_to_homepage->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_tour->show_to_homepage->FldCaption();
		}
		if ($tbl_tour->photo->Upload->Action == "3" && is_null($tbl_tour->photo->Upload->Value)) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_tour->photo->FldCaption();
		}
		if (!is_null($tbl_tour->description->FormValue) && $tbl_tour->description->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_tour->description->FldCaption();
		}
		if (!is_null($tbl_tour->highlight_description->FormValue) && $tbl_tour->highlight_description->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_tour->highlight_description->FldCaption();
		}
		if (!is_null($tbl_tour->order_by->FormValue) && $tbl_tour->order_by->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_tour->order_by->FldCaption();
		}
		if (!ew_CheckInteger($tbl_tour->order_by->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= $tbl_tour->order_by->FldErrMsg();
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $sFormCustomError;
		}
		return $ValidateForm;
	}

	// Update record based on key values
	function EditRow() {
		global $conn, $Security, $Language, $tbl_tour;
		$sFilter = $tbl_tour->KeyFilter();
		$tbl_tour->CurrentFilter = $sFilter;
		$sSql = $tbl_tour->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE)
			return FALSE;
		if ($rs->EOF) {
			$EditRow = FALSE; // Update Failed
		} else {

			// Save old values
			$rsold =& $rs->fields;
			$rsnew = array();

			// tour_name_id
			$tbl_tour->tour_name_id->SetDbValueDef($rsnew, $tbl_tour->tour_name_id->CurrentValue, 0, FALSE);

			// language_id
			$tbl_tour->language_id->SetDbValueDef($rsnew, $tbl_tour->language_id->CurrentValue, 0, FALSE);

			// country_id
			$tbl_tour->country_id->SetDbValueDef($rsnew, $tbl_tour->country_id->CurrentValue, 0, FALSE);

			// tour_name
			$tbl_tour->tour_name->SetDbValueDef($rsnew, $tbl_tour->tour_name->CurrentValue, "", FALSE);

			// show_to_homepage
			$tbl_tour->show_to_homepage->SetDbValueDef($rsnew, $tbl_tour->show_to_homepage->CurrentValue, 0, FALSE);

			// photo
			$tbl_tour->photo->Upload->SaveToSession(); // Save file value to Session
						if ($tbl_tour->photo->Upload->Action == "2" || $tbl_tour->photo->Upload->Action == "3") { // Update/Remove
			$tbl_tour->photo->Upload->DbValue = $rs->fields('photo'); // Get original value
			if (is_null($tbl_tour->photo->Upload->Value)) {
				$rsnew['photo'] = NULL;
			} else {
				if ($tbl_tour->photo->Upload->FileName == $tbl_tour->photo->Upload->DbValue) { // Upload file name same as old file name
					$rsnew['photo'] = $tbl_tour->photo->Upload->FileName;
				} else {
					$rsnew['photo'] = ew_UploadFileNameEx(ew_UploadPathEx(TRUE, $tbl_tour->photo->UploadPath), $tbl_tour->photo->Upload->FileName);
				}
			}
			$tbl_tour->photo->ImageWidth = 600; // Resize width
			$tbl_tour->photo->ImageHeight = 480; // Resize height
			}

			// description
			$tbl_tour->description->SetDbValueDef($rsnew, $tbl_tour->description->CurrentValue, "", FALSE);

			// highlight_description
			$tbl_tour->highlight_description->SetDbValueDef($rsnew, $tbl_tour->highlight_description->CurrentValue, "", FALSE);

			// order_by
			$tbl_tour->order_by->SetDbValueDef($rsnew, $tbl_tour->order_by->CurrentValue, 0, FALSE);

			// Call Row Updating event
			$bUpdateRow = $tbl_tour->Row_Updating($rsold, $rsnew);
			if ($bUpdateRow) {
			if (!ew_Empty($tbl_tour->photo->Upload->Value)) {
				$tbl_tour->photo->Upload->RestoreFromSession(); // Restore original value
				$tbl_tour->photo->Upload->Resize($tbl_tour->photo->ImageWidth, $tbl_tour->photo->ImageHeight, 75);
			}
			$tbl_tour->photo->ImageWidth = 0; // Reset image width
			$tbl_tour->photo->ImageHeight = 0; // Reset image height
			if (!ew_Empty($tbl_tour->photo->Upload->Value)) {
				if ($tbl_tour->photo->Upload->FileName == $tbl_tour->photo->Upload->DbValue) { // Overwrite if same file name
					$tbl_tour->photo->Upload->SaveToFile($tbl_tour->photo->UploadPath, $rsnew['photo'], TRUE);
					$tbl_tour->photo->Upload->DbValue = ""; // No need to delete any more
				} else {
					$tbl_tour->photo->Upload->SaveToFile($tbl_tour->photo->UploadPath, $rsnew['photo'], FALSE);
				}
			}
			if ($tbl_tour->photo->Upload->Action == "2" || $tbl_tour->photo->Upload->Action == "3") { // Update/Remove
				if ($tbl_tour->photo->Upload->DbValue <> "")
					@unlink(ew_UploadPathEx(TRUE, $tbl_tour->photo->UploadPath) . $tbl_tour->photo->Upload->DbValue);
			}
				$conn->raiseErrorFn = 'ew_ErrorFn';
				$EditRow = $conn->Execute($tbl_tour->UpdateSQL($rsnew));
				$conn->raiseErrorFn = '';
			} else {
				if ($tbl_tour->CancelMessage <> "") {
					$this->setMessage($tbl_tour->CancelMessage);
					$tbl_tour->CancelMessage = "";
				} else {
					$this->setMessage($Language->Phrase("UpdateCancelled"));
				}
				$EditRow = FALSE;
			}
		}

		// Call Row_Updated event
		if ($EditRow)
			$tbl_tour->Row_Updated($rsold, $rsnew);
		$rs->Close();

		// photo
		$tbl_tour->photo->Upload->RemoveFromSession(); // Remove file value from Session
		return $EditRow;
	}

	// Set up master/detail based on QueryString
	function SetUpMasterDetail() {
		global $tbl_tour;
		$bValidMaster = FALSE;

		// Get the keys for master table
		if (@$_GET[EW_TABLE_SHOW_MASTER] <> "") {
			$sMasterTblVar = $_GET[EW_TABLE_SHOW_MASTER];
			if ($sMasterTblVar == "") {
				$bValidMaster = TRUE;
				$this->sDbMasterFilter = "";
				$this->sDbDetailFilter = "";
			}
			if ($sMasterTblVar == "tbl_language") {
				$bValidMaster = TRUE;
				$this->sDbMasterFilter = $tbl_tour->SqlMasterFilter_tbl_language();
				$this->sDbDetailFilter = $tbl_tour->SqlDetailFilter_tbl_language();
				if (@$_GET["language_id"] <> "") {
					$GLOBALS["tbl_language"]->language_id->setQueryStringValue($_GET["language_id"]);
					$tbl_tour->language_id->setQueryStringValue($GLOBALS["tbl_language"]->language_id->QueryStringValue);
					$tbl_tour->language_id->setSessionValue($tbl_tour->language_id->QueryStringValue);
					if (!is_numeric($GLOBALS["tbl_language"]->language_id->QueryStringValue)) $bValidMaster = FALSE;
					$this->sDbMasterFilter = str_replace("@language_id@", ew_AdjustSql($GLOBALS["tbl_language"]->language_id->QueryStringValue), $this->sDbMasterFilter);
					$this->sDbDetailFilter = str_replace("@language_id@", ew_AdjustSql($GLOBALS["tbl_language"]->language_id->QueryStringValue), $this->sDbDetailFilter);
				} else {
					$bValidMaster = FALSE;
				}
			}
			if ($sMasterTblVar == "tbl_country_original") {
				$bValidMaster = TRUE;
				$this->sDbMasterFilter = $tbl_tour->SqlMasterFilter_tbl_country_original();
				$this->sDbDetailFilter = $tbl_tour->SqlDetailFilter_tbl_country_original();
				if (@$_GET["country_or_id"] <> "") {
					$GLOBALS["tbl_country_original"]->country_or_id->setQueryStringValue($_GET["country_or_id"]);
					$tbl_tour->country_id->setQueryStringValue($GLOBALS["tbl_country_original"]->country_or_id->QueryStringValue);
					$tbl_tour->country_id->setSessionValue($tbl_tour->country_id->QueryStringValue);
					if (!is_numeric($GLOBALS["tbl_country_original"]->country_or_id->QueryStringValue)) $bValidMaster = FALSE;
					$this->sDbMasterFilter = str_replace("@country_or_id@", ew_AdjustSql($GLOBALS["tbl_country_original"]->country_or_id->QueryStringValue), $this->sDbMasterFilter);
					$this->sDbDetailFilter = str_replace("@country_id@", ew_AdjustSql($GLOBALS["tbl_country_original"]->country_or_id->QueryStringValue), $this->sDbDetailFilter);
				} else {
					$bValidMaster = FALSE;
				}
			}
			if ($sMasterTblVar == "tbl_tour_name") {
				$bValidMaster = TRUE;
				$this->sDbMasterFilter = $tbl_tour->SqlMasterFilter_tbl_tour_name();
				$this->sDbDetailFilter = $tbl_tour->SqlDetailFilter_tbl_tour_name();
				if (@$_GET["tour_name_id"] <> "") {
					$GLOBALS["tbl_tour_name"]->tour_name_id->setQueryStringValue($_GET["tour_name_id"]);
					$tbl_tour->tour_name_id->setQueryStringValue($GLOBALS["tbl_tour_name"]->tour_name_id->QueryStringValue);
					$tbl_tour->tour_name_id->setSessionValue($tbl_tour->tour_name_id->QueryStringValue);
					if (!is_numeric($GLOBALS["tbl_tour_name"]->tour_name_id->QueryStringValue)) $bValidMaster = FALSE;
					$this->sDbMasterFilter = str_replace("@tour_name_id@", ew_AdjustSql($GLOBALS["tbl_tour_name"]->tour_name_id->QueryStringValue), $this->sDbMasterFilter);
					$this->sDbDetailFilter = str_replace("@tour_name_id@", ew_AdjustSql($GLOBALS["tbl_tour_name"]->tour_name_id->QueryStringValue), $this->sDbDetailFilter);
				} else {
					$bValidMaster = FALSE;
				}
			}
		}
		if ($bValidMaster) {

			// Save current master table
			$tbl_tour->setCurrentMasterTable($sMasterTblVar);

			// Reset start record counter (new master key)
			$this->lStartRec = 1;
			$tbl_tour->setStartRecordNumber($this->lStartRec);
			$tbl_tour->setMasterFilter($this->sDbMasterFilter); // Set up master filter
			$tbl_tour->setDetailFilter($this->sDbDetailFilter); // Set up detail filter

			// Clear previous master key from Session
			if ($sMasterTblVar <> "tbl_language") {
				if ($tbl_tour->language_id->QueryStringValue == "") $tbl_tour->language_id->setSessionValue("");
			}
			if ($sMasterTblVar <> "tbl_country_original") {
				if ($tbl_tour->country_id->QueryStringValue == "") $tbl_tour->country_id->setSessionValue("");
			}
			if ($sMasterTblVar <> "tbl_tour_name") {
				if ($tbl_tour->tour_name_id->QueryStringValue == "") $tbl_tour->tour_name_id->setSessionValue("");
			}
		} else {
			$this->sDbMasterFilter = $tbl_tour->getMasterFilter(); //  Restore master filter
			$this->sDbDetailFilter = $tbl_tour->getDetailFilter(); // Restore detail filter
		}
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	function Message_Showing(&$msg) {

		// Example:
		//$msg = "your new message";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
